Subject: Re: [imapext] WG participants please READ Re: qresync WG adoption call

From: Bron Gondwana <[email-masked]>
Date: Sun, 07 Jul 2013 22:06:58 +1000

On Sun, May 26, 2013, at 10:33 AM, Timo Sirainen wrote:
> On 26.5.2013, at 1.55, Adrien W. de Croy <[email-masked]> wrote:
> > In general, compared to messages, folders in IMAP are IMO second class citizens.  No way to advertise folder deletion, renaming etc.
> >  
> > What could be interesting would be a virtual/meta-folder called "FOLDERS", which treats every folder as a record in this virtual folder.  Then you could just do a modseq on this.

That's what I'll be doing in Cyrus soon.  I'll be doing a modseq for everything about each user, including their sieve scripts, folders, private metadata, etc.  This is to allow fast replication more than anything else.

We also have a single "HIGHESTMODSEQ" across all a user's folders now to allow fast client sync.

> I've solved this internally in Dovecot by giving a GUID for each mailbox, which allows tracking renames and deletions. Mails also have GUIDs. I wonder if clients would be interested in having a standard GUID extension for these..

Ditto in Cyrus.

> >  Again, out of scope for this.
> 
> Yeah.

But let's not forget it!

Bron.

-- 
  Bron Gondwana
  [email-masked]